datablock ParticleData(TauCannon_Projectile_ExplosionParticle)
{
	dragCoefficient      = 8;
	gravityCoefficient   = -1;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 700;
	lifetimeVarianceMS   = 000;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.9 0.7 0.2 0.3";
	colors[1]     = "0.9 0.9 0.9 0.0";
	sizes[0]      = 1.25;
	sizes[1]      = 0.75;

	useInvAlpha = false;
};
datablock ParticleEmitterData(TauCannon_Projectile_ExplosionEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_Projectile_ExplosionParticle";

   useEmitterColors = true;
   uiName = "Tau Cannon Hit Dust";
};


datablock ParticleData(TauCannon_Projectile_ExplosionRingParticle)
{
	dragCoefficient      = 8;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 125;
	lifetimeVarianceMS   = 35;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 500.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "1 0.9 0.0 0.9";
	colors[1]     = "1.0 1.0 1.0 0.0";
	sizes[0]      = 1.3;
	sizes[1]      = 0.2;

	useInvAlpha = false;
};
datablock ParticleEmitterData(TauCannon_Projectile_ExplosionRingEmitter)
{
	lifeTimeMS = 50;

   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 30;
   velocityVariance = 30;
   ejectionOffset   = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_Projectile_ExplosionRingParticle";

   useEmitterColors = true;
   uiName = "Tau Cannon Hit Flash";
};

datablock ExplosionData(TauCannon_Projectile_Explosion)
{
   //explosionShape = "";
	soundProfile = "";

   lifeTimeMS = 150;

   particleEmitter = TauCannon_Projectile_ExplosionEmitter;
   particleDensity = 5;
   particleRadius = 0.2;

   emitter[0] = TauCannon_Projectile_ExplosionRingEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 5;
   lightEndRadius = 2;
   lightStartColor = "0.6 0.6 0.2";
   lightEndColor = "0 0 0";
};


///////////// alt explosion

datablock ParticleData(TauCannon_Projectile_AltExplosionParticle)
{
	dragCoefficient      = 8;
	gravityCoefficient   = -1;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 700;
	lifetimeVarianceMS   = 000;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.2 0.2 0.9 0.3";
	colors[1]     = "0.9 0.9 0.9 0.0";
	sizes[0]      = 3.25;
	sizes[1]      = 10.75;

	useInvAlpha = false;
};
datablock ParticleEmitterData(TauCannon_Projectile_AltExplosionEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_Projectile_AltExplosionParticle";

   useEmitterColors = true;
   uiName = "Tau Cannon Hit Dust";
};


datablock ParticleData(TauCannon_Projectile_AltExplosionRingParticle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = -5.5;
	inheritedVelFactor   = 5.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 125;
	lifetimeVarianceMS   = 35;
	textureName          = "base/data/particles/dot";
	spinSpeed		= 500.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "1 0.2 0.0 0.9";
	colors[1]     = "0.0 0.0 1.0 0.0";
	sizes[0]      = 2.3;
	sizes[1]      = 1.2;

	useInvAlpha = false;
};
datablock ParticleEmitterData(TauCannon_Projectile_AltExplosionRingEmitter)
{
	lifeTimeMS = 50;

   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 30;
   velocityVariance = 30;
   ejectionOffset   = 0.0;
   thetaMin         = 50;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TauCannon_Projectile_AltExplosionRingParticle";

   useEmitterColors = true;
   uiName = "Tau Cannon Hit Flash";
};


datablock ExplosionData(TauCannon_Projectile_AltExplosion)
{
   //explosionShape = "";
	soundProfile = "";

   lifeTimeMS = 150;

   particleEmitter = TauCannon_Projectile_AltExplosionEmitter;
   particleDensity = 5;
   particleRadius = 0.2;

   emitter[0] = TauCannon_Projectile_AltExplosionRingEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 5;
   lightEndRadius = 2;
   lightStartColor = "0.6 0.6 0.2";
   lightEndColor = "0 0 0";
   
   damageRadius = 3;
   radiusDamage = 100;

   impulseRadius = 6;
   impulseForce = 3000;
};