datablock ShapeBaseImageData(TauCannon_Image)
{
   // Basic Item properties
   shapeFile = "./shape/TauCannon12.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   //eyeOffset = "1 2 -1.9";
   eyeOffset = 0;
   rotation = eulerToMatrix( "0 0 0" );

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = TauCannon_Item;
   ammo = " ";
   projectile = TauCannon_Projectile;
   projectileType = Projectile;

	casing = "";
	shellExitDir        = "2.0 -1.3 1.0";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 15.0;	
	shellVelocity       = 7.0;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   //doColorShift = true;
   //colorShiftColor = TauCannon_Item.colorShiftColor;//"0.400 0.196 0 1.000";

   //casing = " ";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.
// Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.15;
	stateTransitionOnTimeout[0]      = "Ready";
	stateSound[0]					 = weaponSwitchSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "Charging";
	stateScript[1]                   = "onStopFire";
	stateAllowImageChange[1]         = true;
	stateSequence[1]				 = "Ready";

// ---------------- FIRE
	stateName[2]                    = "Fire";
	stateTransitionOnTimeout[2]     = "Smoke";
	stateSpinThread[2]				= Stop;
	stateTimeoutValue[2]            = 0.14;
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
	stateSequence[2]                = "SpinShort";
	stateSequence[2]                = "Fire";
	stateScript[2]                  = "onFire";
	stateWaitForTimeout[2]			= true;
	stateEmitter[2]					= TauCannon_FlashEmitter;
	stateEmitterTime[2]				= 0.05;
	stateEmitterNode[2]				= "muzzleNode";
	stateSound[2]					= TauCannon_Shot1Sound;
	stateEjectShell[2]       	    = true;

	stateName[3] 					= "Smoke";
	stateEmitter[3]					= TauCannon_SmokeEmitter;
//	stateSound[3]					= TauCannon_ReloadSound;
	stateEmitterTime[3]				= 0.05;
	stateEmitterNode[3]				= "muzzleNode";
	stateTimeoutValue[3]            = 0.0;
	stateSequence[3]                = "Reload";
	stateTransitionOnTimeout[3]     = "ready";

	stateName[4]					  = "Reload";
	stateSequence[4]                  = "Reload";
	stateTransitionOnTriggerUp[4]     = "Ready";

	
// ----------- CHARGING
	stateName[5]                    = "Charging";
	stateSpinThread[5]				= SpinUp;
	stateTransitionOnTimeout[5]     = "Charged";
    stateTransitionOnTriggerUp[5]   = "Fire";
	stateTimeoutValue[5]            = 3;
	stateAllowImageChange[5]        = false;
	stateSequence[5]                = "SpinShort";
	stateScript[5]                  = "onCharge";
	stateWaitForTimeout[5]			= false;
	
	
// --------- CHARGED
	stateName[6]                    = "Charged";
	stateSound[6]					= TauCannon_charged;
    stateTransitionOnTriggerUp[6]     = "FireCharged";
	stateAllowImageChange[6]        = false;
	stateTimeoutValue[6]            = 7;
	stateTransitionOnTimeout[6]     = "Overcharging";
	stateSequence[6]                = "SpinLong";
	stateSpinThread[6]				= FullSpeed;
	stateScript[6]                  = "onCharged";
	stateWaitForTimeout[6]			= false;
	
// ------ FIRE CHARGED SHOT
	
	stateName[7]                    = "FireCharged";
	stateTransitionOnTimeout[7]     = "Smoke";
	stateTimeoutValue[7]            = 1.2;
	stateFire[7]                    = true;
	stateAllowImageChange[7]        = false;
//	stateSequence[7]                = "SpinLong";'
	stateSequence[7]                = "FireCharged";
	stateSpinThread[7]				= Stop;
	stateScript[7]                  = "onFireCharged";
	stateWaitForTimeout[7]			= true;
	stateEmitter[7]					= TauCannon_HugeFlashEmitter;
	stateEmitterTime[7]				= 0.05;
	stateEmitterNode[7]				= "muzzleNode";
	stateSound[7]					= TauCannon_ChargedShotSound;
	stateEjectShell[7]       		= true;
	
// -------- OVERCHARGE WARNING
	
	stateName[8]                    = "Overcharging";
    stateTransitionOnTriggerUp[8]   = "FireCharged";
	stateAllowImageChange[8]        = false;
	stateTimeoutValue[8]            = 3;
	stateTransitionOnTimeout[8]     = "Overcharged";
	stateSequence[8]                = "SpinLong";
	stateScript[8]                  = "onBeginOvercharge";
	stateWaitForTimeout[8]			= false;
	
// --------- OVERCHARGED EXPLOSION
	
	stateName[9]					= "Overcharged";
	stateSequence[9] 				= "Fire";
	stateSound[9]					= TauCannon_OverchargeSound;
	stateSpinThread[9]				= Stop;
	stateScript[9]					= "onOvercharged";
	stateTransitionOnTimeout[9]     = "OverchargedCooldown";
	stateTimeoutValue[9]            = 0.01;
	
// ---------- COOL DOWN
	stateName[10]					= "OverchargedCooldown";
	stateSequence[10] 				= "OverchargedCooldown";
	stateEmitter[10]				= TauCannon_CoolDownEmitter;
	stateEmitterTime[10]			= 5;
	stateEmitterNode[10]			= "muzzleNode";
	stateTransitionOnTimeout[10]    = "Smoke";
	stateTimeoutValue[10]           = 5;
	
};

