function TauCannon_Image::onFirecharged(%this,%obj,%slot)
{
	//%obj.playAudio(0, TauCannon_NullSound);
	//%obj.playAudio(1, TauCannon_NullSound);
	
	// Stop charge loop and warning loop
	%obj.stopAudio(3);
	%obj.stopAudio(1);
	
	%obj.spawnExplosion(TauCannon_RecoilProjectile,"3 3 3");
	%projectile = TauCannon_AltProjectile;
	%spread = 0.00;
	%shellcount = 1;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}


function TauCannon_Image::onCharge(%this,%obj,%slot)
{
	%obj.playAudio(3, TauCannon_SpinUp);
}


function TauCannon_Image::onCharged(%this,%obj,%slot)
{
	%obj.playAudio(3, TauCannon_SpinSound);
	%obj.playThread(2, shiftRight);
}


function TauCannon_Image::onBeginOvercharge(%this,%obj,%slot)
{
	%obj.playAudio(1, TauCannon_OverchargeWarning);
}

function TauCannon_Image::onOvercharged(%this,%obj,%slot)
{

	%obj.spawnExplosion(TauCannon_RecoilProjectile,"5 5 5");
	%obj.spawnExplosion(TauCannon_AltProjectile,"1 1 1");
	
	%obj.stopAudio(3);
	%obj.stopAudio(1);
	
	%obj.playThread(2, shiftAway);
}

function TauCannon_Image::onFire(%this,%obj)
{
	Parent::onFire(%this,%obj);
	
	%obj.spawnExplosion(TauCannon_RecoilProjectile,"1 1 1");
	
	//%obj.playAudio(0, TauCannon_NullSound); // it's not a looping sound, which behaves strangely
	%obj.stopAudio(3);
}

function TauCannon_Projectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)
{
	%proj = new Projectile()
	{
		dataBlock = TauCannon_Projectile;
		initialPosition = %obj.getPosition();
		initialVelocity = vectorScale(%vec,1);
		client = %col.client;
	};
	MissionCleanup.add(%proj);
	%proj.explode();
	

   Parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);
}